apiVersion: apps/v1
kind: Deployment
metadata:
  name: study-plan-creator-frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: study-plan-creator-frontend
  template:
    metadata:
      labels:
        app: study-plan-creator-frontend
    spec:
      containers:
        - name: study-plan-creator-frontend
          image: registry.gitlab.com/studia14/i688/study-plan-creator-frontend/studyplancreator-frontend:aec14a64
          imagePullPolicy: "IfNotPresent"
          ports:
            - containerPort: 80